Bug 74383 - Impress: hidden slides taken into account on total pages field
Summary: Impress: hidden slides taken into account on total pages field
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-02 15:07 UTC by J. Fernando Lagrange
Modified: 2016-10-04 10:10 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Patch to use active slide (ie: hidden are not part of count) (914 bytes, patch)
2014-02-02 17:11 UTC, J. Fernando Lagrange
Details

Note You need to log in before you can comment on or make changes to this bug.
Description J. Fernando Lagrange 2014-02-02 15:07:26 UTC
Using Impress, I've added Number of Pages Field on my master slide.

I've prepared my presentation, that counts 20 slides in total. Then I've hide 5 slides into my presentation.

These hidden slides are still taken into account on total pages field, which still shows 20 instead of 15 (20 slides - 5 hidden).
Comment 1 J. Fernando Lagrange 2014-02-02 17:11:08 UTC
Created attachment 93236 [details]
Patch to use active slide (ie: hidden are not part of count)

It seems that my mail system (redirection from /to actual mailbox) forces action from moderator for my message to be sent to list. :-/
This is why I post my patch to this bug.

Patch send to developers list with following message:
Hello LibreOffice developers !

Please find attached my first patch to LibreOffice Impress. (I did not use gerrit, because I do not have any OpenID account.)

This patch makes total pages field accurate when presentation contains hidden slides.
As an example, when patch is applied, total pages field shows 15 on a presentation with 20 slides and 5 hidden slides.

Can someone please review my patch and, if approved, include it on next LibreOffice release ?

I see release 4.2 just came out: Keep up the good work !

Thanks and regards,
@+
Fernando
Comment 2 Cor Nouws 2014-02-03 09:36:07 UTC
Hi Fernando,

thanks for the issue & the patch!

Development & patches work via git, but I'm sure Thorsten (cc) can help you etc.

thanks again,
Cor
Comment 3 J. Fernando Lagrange 2014-02-09 17:22:05 UTC
Hello Cor,

thanks for the comment.

My proposed patch was made with git following wiki indications on https://wiki.documentfoundation.org/Development/GetInvolved#Alternative:_Sending_patches_manually_to_the_mailing_list !

I am now patiently waiting for rewiew. ;)

Actually, it is ok for me if my patch is not included at all in LibreOffice: I understand that my tiny change may have an impact on contributors and users. More precisely on people teaching how to use LibreOffice Impress and their already written material.

But since current Impress behavior was misleading me and the code change was not huge, I thought that submitting this patch for integration may help Impress being a better software. :)

Happy Hacking !

@+
Fernando
Comment 4 Commit Notification 2014-02-09 21:38:30 UTC
J. Fernando Lagrange committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ad5443b929962dea64985b3b197ea323aafab834

fdo#74383 - PagesField: do not count hidden slides



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Thorsten Behrens (CIB) 2014-02-09 21:43:53 UTC
With that, should be fixed now. :)
Comment 6 J. Fernando Lagrange 2014-02-09 21:49:01 UTC
Woohoo ! Thank you so much !

I couldn't believe my eyes when I saw last comment indicating my patch was committed to master branch !

Thank you, Internet (and you people) make this world a better place ! \o/

@+
Fernando
Comment 7 Adolfo Jayme 2014-02-10 06:13:25 UTC
I added this change to our release notes for 4.3 (https://wiki.documentfoundation.org/ReleaseNotes/4.3#Impress_.2F_Draw). Thanks for your contribution!
Comment 8 Sean Carlos 2014-05-25 19:07:09 UTC
This is a nice improvement to 4.3 but the solution should also correctly renumber each of the displayed slides, at least when exporting to a PDF or when printing.  The current solution results in something of the type slide 43/40 when using fields <number>/<count>.
Comment 9 J. Fernando Lagrange 2014-05-26 07:39:54 UTC
@Sean:
As far as I am concerned, I would say that hidden slides printing problem is different and has already been reported on bug 68320.

I did not implement it because I did not need it (and I am lazy). ^_^
Comment 10 pierre-yves samyn 2014-06-07 16:04:09 UTC
Hi

(In reply to comment #9)
> As far as I am concerned, I would say that hidden slides printing problem is
> different and has already been reported on bug 68320.
> 
> I did not implement it because I did not need it (and I am lazy). ^_^

Thank you for your work.

I understand your point of view but it makes it difficult to use your work on the total pages. It is rare to use only the total. It is most often used in the form: number/count (see bug 68320 attachment 100612 [details])

Best regards
Pierre-Yves
Comment 11 J. Fernando Lagrange 2014-06-07 19:40:34 UTC
(In reply to comment #10)
> […]
> I understand your point of view but it makes it difficult to use your work
> on the total pages. It is rare to use only the total. It is most often used
> in the form: number/count (see bug 68320 attachment 100612 [details])
> […]
Thanks for bug 68320 attachment 100612 [details].

I better understand your concern now. I am not used to hide slides that are *in middle* of presentation: I put all hidden slides at end of presentation.

I do agree: now there is an inconsistency between page number and page count.

I do not have time (nor knowledge) to correct Page Number usage in Libo. It seems somehow pretty tricky: is there a (quick and easy) way to compute how many hidden slides are before current slide ?

As I already stated (in bug 74383 comment 3), it is totally okay for me if my patch is not included in LiBo (it could be included later on, when fix on page number is done ;) or not at all).
Comment 12 pierre-yves samyn 2014-06-08 04:34:31 UTC
Hi 

(In reply to comment #11)
> I better understand your concern now. I am not used to hide slides that are
> *in middle* of presentation: I put all hidden slides at end of presentation.

I see... 
Thanks for your answer

Regards
Pierre-Yves